﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace CalculadoraJava.CalculadoraService {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(Namespace="http://up.edu.br/", ConfigurationName="CalculadoraService.Calculadora")]
    public interface Calculadora {
        
        [System.ServiceModel.OperationContractAttribute(Action="http://up.edu.br/Calculadora/subtrairRequest", ReplyAction="http://up.edu.br/Calculadora/subtrairResponse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="return")]
        int subtrair(int arg0, int arg1);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://up.edu.br/Calculadora/subtrairRequest", ReplyAction="http://up.edu.br/Calculadora/subtrairResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="return")]
        System.Threading.Tasks.Task<int> subtrairAsync(int arg0, int arg1);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://up.edu.br/Calculadora/somarRequest", ReplyAction="http://up.edu.br/Calculadora/somarResponse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="return")]
        int somar(int arg0, int arg1);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://up.edu.br/Calculadora/somarRequest", ReplyAction="http://up.edu.br/Calculadora/somarResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="return")]
        System.Threading.Tasks.Task<int> somarAsync(int arg0, int arg1);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://up.edu.br/Calculadora/multiplicarRequest", ReplyAction="http://up.edu.br/Calculadora/multiplicarResponse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="return")]
        int multiplicar(int arg0, int arg1);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://up.edu.br/Calculadora/multiplicarRequest", ReplyAction="http://up.edu.br/Calculadora/multiplicarResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="return")]
        System.Threading.Tasks.Task<int> multiplicarAsync(int arg0, int arg1);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://up.edu.br/Calculadora/dividirRequest", ReplyAction="http://up.edu.br/Calculadora/dividirResponse")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="return")]
        int dividir(int arg0, int arg1);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://up.edu.br/Calculadora/dividirRequest", ReplyAction="http://up.edu.br/Calculadora/dividirResponse")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="return")]
        System.Threading.Tasks.Task<int> dividirAsync(int arg0, int arg1);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface CalculadoraChannel : CalculadoraJava.CalculadoraService.Calculadora, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class CalculadoraClient : System.ServiceModel.ClientBase<CalculadoraJava.CalculadoraService.Calculadora>, CalculadoraJava.CalculadoraService.Calculadora {
        
        public CalculadoraClient() {
        }
        
        public CalculadoraClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public CalculadoraClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public CalculadoraClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public CalculadoraClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public int subtrair(int arg0, int arg1) {
            return base.Channel.subtrair(arg0, arg1);
        }
        
        public System.Threading.Tasks.Task<int> subtrairAsync(int arg0, int arg1) {
            return base.Channel.subtrairAsync(arg0, arg1);
        }
        
        public int somar(int arg0, int arg1) {
            return base.Channel.somar(arg0, arg1);
        }
        
        public System.Threading.Tasks.Task<int> somarAsync(int arg0, int arg1) {
            return base.Channel.somarAsync(arg0, arg1);
        }
        
        public int multiplicar(int arg0, int arg1) {
            return base.Channel.multiplicar(arg0, arg1);
        }
        
        public System.Threading.Tasks.Task<int> multiplicarAsync(int arg0, int arg1) {
            return base.Channel.multiplicarAsync(arg0, arg1);
        }
        
        public int dividir(int arg0, int arg1) {
            return base.Channel.dividir(arg0, arg1);
        }
        
        public System.Threading.Tasks.Task<int> dividirAsync(int arg0, int arg1) {
            return base.Channel.dividirAsync(arg0, arg1);
        }
    }
}
